declare @uid varchar(50)
select @uid=uid from seg_usuario where id=1
if not exists (select* from [equ_cicloHorometro] as  ciclo inner join equ_trazabilidad  as equ on equ.id_equipo=ciclo.id_equipo 
inner join equ_equipo as quipo on quipo.id= equ.id_equipo inner join [cat_catalogo.equipo] as cata on cata.id=quipo.[id_catalogo.equipo] where equ.id_equipo > 0 and cata.manejaHorometro=1)
begin
INSERT INTO [equ_cicloHorometro]
      ([uid] ,[eid] ,[id_usuario_modifico]  ,[id_usuario_creo]   ,[fechaModificacion] ,[fechaCreacion],[active],[cicloHorometro],[id_equipo] ,[afectarProyeccion] ,[reparacionMayor],[reiniciarHorometro],[Nciclo])
	select   @uid ,'01',1,1 ,getdate(),getdate(),1 ,'' ,quipo.id,0,0,0,1 
	from  equ_trazabilidad as equ inner join
	equ_equipo as quipo on quipo.id= equ.id_equipo
	inner join [cat_catalogo.equipo] as cata on cata.id=quipo.[id_catalogo.equipo]
	where cata.manejaHorometro=1 and quipo.id>0 group by quipo.id
end

update equ_trazabilidad set id_cicloHorometro = ciclo.id from [equ_cicloHorometro] as  ciclo inner join equ_trazabilidad  as equ on equ.id_equipo=ciclo.id_equipo  
inner join equ_equipo as quipo on quipo.id= equ.id_equipo inner join [cat_catalogo.equipo] as cata on cata.id=quipo.[id_catalogo.equipo] where equ.id_equipo > 0 and cata.manejaHorometro=1

update equ_cicloHorometro set equ_cicloHorometro.horometroFinal= tr.horometro
from equ_trazabilidad tr, equ_cicloHorometro ci
where tr.id_cicloHorometro= ci.id and  tr.id in(
select max(id)
from equ_trazabilidad where equ_trazabilidad.id_equipo>0  
group by id_equipo) and  not tr.horometro is null







